Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.common
Class DungeonHooks.DungeonLoot

    java.lang.Object
      net.minecraft.src.WeightedRandomItem
          net.minecraftforge.common.DungeonHooks.DungeonLoot

Enclosing class:
  DungeonHooks

    public static class DungeonHooks.DungeonLoot

extends WeightedRandomItem

Field Summary

Fields inherited from class net.minecraft.src.WeightedRandomItem
`itemWeight`

Constructor Summary
`DungeonHooks.DungeonLoot(int weight, ItemStack item, int min, int max)`

Method Summary
`boolean` | `equals(ItemStack item)`
`boolean` | `equals(ItemStack item, int min, int max)`
`ItemStack` | `generateStack(Random rand)` Grabs a ItemStack ready to be added to the dungeon chest, the stack size will be between minCount and maxCount

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DungeonHooks.DungeonLoot

    public DungeonHooks.DungeonLoot(int weight,
                                    ItemStack item,
                                    int min,
                                    int max)

Parameters:
  `item` - A item stack
  `min` - Minimum stack size when randomly generating
  `max` - Maximum stack size when randomly generating

Method Detail

### generateStack

    public ItemStack generateStack(Random rand)

  Grabs a ItemStack ready to be added to the dungeon chest, the stack size will be between minCount and maxCount

  Parameters:
    `rand` - World gen random number generator
  Returns:
    The ItemStack to be added to the chest

### equals

    public boolean equals(ItemStack item,
                          int min,
                          int max)

### equals

    public boolean equals(ItemStack item)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD